Subject: Re: [multipathtcp] Possible future items for mptcp WG

From: <[email-masked]>
Date: Fri, 22 Jun 2018 14:01:10 +0000

Hi Yoshi & Phil,

I still follow the mentioned feature extension 2a) robust initial setup. Maybe in late autumn, I want to publish an implementation inspired by https://www.ietf.org/mail-archive/web/multipathtcp/current/msg03474.html. As soon as this one is available, this might be a base for further discussions.

Btw., I'm available @IETF 102 onsite.

BR

Markus

> ----------------------------------------------------------------------
> 
> Date: Thu, 14 Jun 2018 00:16:40 -0700
> From: Yoshifumi Nishida <[email-masked]>
> To: multipathtcp <[email-masked]>
> Subject: [multipathtcp] Possible future items for mptcp WG
> Message-ID:
> 	<CAO249ycbh_rL+i310=UtVyE39=Yk+OSRWfcj1UyF=74VZwC8vw@mai
> l.gmail.com>
> Content-Type: text/plain; charset="utf-8"
> 
> Hello everyone,
> 
> Phil and I have been discussing the next step for the WG.
> After we finish 6824bis, we ?on't have active WG items as the proxy work will
> be discussed at tcpm WG.
> One suggestion might be to close the WG or to put it in dormant state,
> however, we are thinking there still might be some more working items as
> we've seen interesting presentations for new ideas, experiment results and
> so on at the meetings and on the ML.
> 
> Below is the list of potential working items from the chairs' point of view.
> Please let us know if you think some of them are important items for the WG
> (and your willingness to contribute if possible) or there are some more items,
> or this is not something we should work on, etc.
> 
> Also, if you have some opinions on the status of the WG or suggestions to
> the chairs, please let us hear!
> 
> We appreciate your feedback
> 
> Thanks,
> --
> Yoshi & Phil
> 
> 
> 
> 
> 1: API extensions (This is already in our charter)
>     draft-hesmans-mptcp-socket
>     draft-samar-mptcp-socketapi
> 
> 2: Feature extensions
>     a) robust initial setup
>         proposed by Markus, also Kien presented a similar idea
> 
>     b) fast subflow setup
>         proposed by Quentin
> 
>     c) security enhancement
>         1) TLS
>             draft-bonaventure-mptcp-tls-00
>             draft-paasch-mptcp-tls-authentication-00
> 
>         2) Utilize proposals from tcpinc?
> 
>         3) Elliptic Curve Cryptography
>             draft-kim-mptcp-semptcp-00
> 
>     d) Solutions for operational issues
>          1) how to handle nat64 issue proposed by Quentin
>          2) how to handle load balancer proposed by Fabien, Christoph, Costin
> 
> 3: Congestion Control (This topic itself should probably be discussed at
> ICCRG. But, it may trigger some updates of the protocol or APIs later)
>      a) OLIA
>           draft-khalili-mptcp-congestion-control-05
> 
>      b) mptcp + BBR?